LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Enumerations
TypeClass.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::uno
| Basic UNO interfaces.

## Enumerations
enum | TypeClass { VOID , CHAR , BOOLEAN , BYTE , SHORT , UNSIGNED_SHORT , LONG , UNSIGNED_LONG , HYPER , UNSIGNED_HYPER , FLOAT , DOUBLE , STRING , TYPE , ANY , ENUM , TYPEDEF , STRUCT , UNION , EXCEPTION , SEQUENCE , ARRAY , INTERFACE , SERVICE , MODULE , INTERFACE_METHOD , INTERFACE_ATTRIBUTE , UNKNOWN , PROPERTY , CONSTANT , CONSTANTS , SINGLETON }
| This enum describes all type classes of UNO. More...